package com.unis.module.coding.controller.admin.delivery.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author GuoBing
 * @description:
 * @create 2025-02-14 9:30
 */
@Schema(description = "省备选交收仓列表 Response VO")
@Data
public class ShengAlternativeSpareRespVO implements Serializable {
    private static final long serialVersionUID = 6832789558507535335L;

    @Schema(description = "所属省份")
    @ExcelProperty("所属省份")
    private String sheng;

    @Schema(description = "所属市区")
    @ExcelProperty("所属市区")
    private String shi;

    @Schema(description = "所在县区")
    @ExcelProperty("所在县区")
    private String xian;

    @Schema(description = "企业名称")
    @ExcelProperty("企业名称")
    private String dwmc;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "总资产(万元)")
    @ExcelProperty("总资产(万元)")
    private BigDecimal syndzzc;

    @Schema(description = "上一年度净利润(万元)")
    @ExcelProperty("上一年度净利润(万元)")
    private BigDecimal jlr;

    @Schema(description = "备选交收仓(个)")
    @ExcelProperty("备选交收仓(个)")
    private Integer yxcfnum;

    @Schema(description = "库区联系人")
    @ExcelProperty("库区联系人")
    private String kqfzr;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String lxdh;

    @Schema(description = "核验人员")
    @ExcelProperty("核验人员")
    private String  hyryName;

    @Schema(description = "查看状态")
    @ExcelProperty("查看状态")
    private Integer hyState;

    @Schema(description = "附件数量")
    @ExcelProperty("附件数量")
    private Integer fileNumber;
}
