package com.unis.module.coding.controller.admin.fmxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 赋码结果信息新增/修改 Request VO")
@Data
public class FmxxSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "31143")
    private Long id;

    @Schema(description = "原始单位信息表(coding_dwxx)ID", example = "12510")
    private Long baseDwxxId;

    @Schema(description = "原始库区信息表(coding_kqxx)ID", example = "17341")
    private Long baseKqxxId;

    @Schema(description = "原始油罐信息表(coding_caxx)id", example = "30806")
    private Long baseYgxxId;

    @Schema(description = "原始仓廒信息表(coding_caxx)id", example = "20151")
    private Long baseCaxxId;

    @Schema(description = "仓储单位统一社会信用代码")
    private String tyshxydm;

    @Schema(description = "法人单位代码：企业性质(2位)+ 单位统一社会信用代码(18位)")
    private String frdwdm;

    @Schema(description = "单位名称")
    private String dwmc;

    @Schema(description = "库区代码：法人单位代码（20位）+库区代码（2位）")
    private String kqdm;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "仓房代码：库区代码（22位）+仓房代码（3位）")
    private String cfdm;

    @Schema(description = "仓房名称")
    private String cfmc;

    @Schema(description = "廒间代码：仓房代码（25位）+廒间代码（1位）")
    private String ajdm;

    @Schema(description = "廒间名称")
    private String ajmc;

    @Schema(description = "创建单位信息的用户所在部门id", example = "14288")
    private Long createDeptId;

    @Schema(description = "0-正常 1-停用", example = "2")
    private Integer status;

    @Schema(description = "是否代储：0否 1是")
    private Integer sfdc;

    @Schema(description = "代储企业id", example = "4111")
    private Long dcqyid;

    @Schema(description = "粮权单位名称", example = "王五")
    private String lqdwName;

    @Schema(description = "粮权单位id", example = "18018")
    private String lqdwId;

    @Schema(description = "粮食性质")
    private String lsxz;

    @Schema(description = "粮权单位命名-单位名称")
    private String lqDwmc;

    @Schema(description = "粮权单位命名-企业社会信用代码")
    private String lqQyshxydm;

    @Schema(description = "粮权单位命名-库区名称")
    private String lqKqmc;

    @Schema(description = "粮权单位命名-仓房名称")
    private String lqCfmc;

    @Schema(description = "粮权单位命名-廒间名称")
    private String lqAjmc;

    @Schema(description = "是否一致 0-一致 1-不一致")
    private Boolean isUnanimous;

    @Schema(description = "不一致原因", example = "不喜欢")
    private String reason;

    @Schema(description = "廒间id", example = "12650")
    private String ajid;

    @Schema(description = "注销时间")
    private LocalDateTime zxsj;

    @Schema(description = "注销原因")
    private String zxyy;

    @Schema(description = "原始廒间信息id", example = "17735")
    private Long baseAjxxId;

}